Skip to main content

Artifacts

An Artifact is a single file or binary for a particular Hardware Version that is installed onto a Device. A single Release object will contain many Artifacts.

Request Schema

NOTE: This data is passed in as form-data, not JSON

FieldTypeDescription
type
Required
StringType of Artifact. Choices: firmware, symbols.
hardware_version
Required
StringHardware Version for the Device
Example: "hwrev1"
build_idTextBuild Unique Identifier set by the customer
Example: "8be26a9f3b9127bc898f34e05a30a9a2c706cf43"
filenameJSONFilename of the object being uploaded
Example: "firmware_1.2.3_hwrev1.bin"

Query Parameters

The following parameters can be used to filter Releases.

Query ParameterTypeDescription
typesString[,]Type of the Artifact
Example: "firmware"
sortStringSort keys (listed below)
Example: -created_date

Sort Parameters

Sort ParameterTypeDescription
created_dateDateTimeDate the object was created

Response Schema

{
"data": {
"id": 1,
"created_date": "2019-01-19T05:01:13.000000+00:00",
"updated_date": "2019-01-19T05:01:13.000000+00:00",
"type": "firmware",
"hardware_version": "hwrev1",
"build_id": "8be26a9f3b9127bc898f34e05a30a9a2c706cf43",
"filename": "firmware_1.2.3_hwrev1.bin",
"url": "<some_s3_link>",
"md5": "54d0fdc208dfef97243c7eadce32797b"
}
}